#!/usr/bin/env bash

CODE_DIR=code
BUILD_DIR=build
TEMP_DIR=$BUILD_DIR/temp

GAME_NAME=8bit

mkdir -p $TEMP_DIR
rgbasm -Weverything -E -i $CODE_DIR -o $TEMP_DIR/$GAME_NAME.obj $CODE_DIR/main.asm
rgblink -n $BUILD_DIR/$GAME_NAME.sym -m $BUILD_DIR/$GAME_NAME.map -o $BUILD_DIR/$GAME_NAME.gb $TEMP_DIR/$GAME_NAME.obj
rgbfix -v -p0 $BUILD_DIR/$GAME_NAME.gb

